Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Interface NamingContextOperations

All Known Subinterfaces:
  NamingContext, NamingContextExt, NamingContextExtOperations

All Known Implementing Classes:
  _NamingContextExtStub, _NamingContextImplBase, _NamingContextStub, NamingContextExtPOA, NamingContextPOA

public interface NamingContextOperations

A naming context is an object that contains a set of name bindings in which each name is unique. Different names can be bound to an object in the same or different contexts at the same time.

See CORBA COS Naming Specification.

Method Summary
`void` | `bind_context(NameComponent[] n, NamingContext nc)` Names an object that is a naming context.
`NamingContext` | `bind_new_context(NameComponent[] n)` This operation creates a new context and binds it to the name supplied as an argument.
`void` | `bind(NameComponent[] n, Object obj)` Creates a binding of a name and an object in the naming context.
`void` | `destroy()` The destroy operation deletes a naming context.
`void` | `list(int how_many, BindingListHolder bl, BindingIteratorHolder bi)` The list operation allows a client to iterate through a set of bindings in a naming context.
`NamingContext` | `new_context()` This operation returns a naming context implemented by the same naming server as the context on which the operation was invoked.
`void` | `rebind_context(NameComponent[] n, NamingContext nc)` Creates a binding of a name and a naming context in the naming context even if the name is already bound in the context.
`void` | `rebind(NameComponent[] n, Object obj)` Creates a binding of a name and an object in the naming context even if the name is already bound in the context.
`Object` | `resolve(NameComponent[] n)` The resolve operation is the process of retrieving an object bound to a name in a given context.
`void` | `unbind(NameComponent[] n)` The unbind operation removes a name binding from a context.

Method Detail

### bind

    public void bind(NameComponent[] n,
                     Object obj)
              throws NotFound,
                     CannotProceed,
                     InvalidName,
                     AlreadyBound

  Creates a binding of a name and an object in the naming context. Naming contexts that are bound using bind do not participate in name resolution when compound names are passed to be resolved.

  Parameters:
    `n` - Name of the object

    `obj` - The Object to bind with the given name

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

    `AlreadyBound` - Indicates an object is already bound to the specified name.

### bind_context

    public void bind_context(NameComponent[] n,
                             NamingContext nc)
                      throws NotFound,
                             CannotProceed,
                             InvalidName,
                             AlreadyBound

  Names an object that is a naming context. Naming contexts that are bound using bind_context() participate in name resolution when compound names are passed to be resolved.

  Parameters:
    `n` - Name of the object

    `nc` - NamingContect object to bind with the given name

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

    `AlreadyBound` - Indicates an object is already bound to the specified name.

### rebind

    public void rebind(NameComponent[] n,
                       Object obj)
                throws NotFound,
                       CannotProceed,
                       InvalidName

  Creates a binding of a name and an object in the naming context even if the name is already bound in the context. Naming contexts that are bound using rebind do not participate in name resolution when compound names are passed to be resolved.

  Parameters:
    `n` - Name of the object

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

### rebind_context

    public void rebind_context(NameComponent[] n,
                               NamingContext nc)
                        throws NotFound,
                               CannotProceed,
                               InvalidName

  Creates a binding of a name and a naming context in the naming context even if the name is already bound in the context. Naming contexts that are bound using rebind_context() participate in name resolution when compound names are passed to be resolved.

  Parameters:
    `n` - Name of the object

    `nc` - NamingContect object to rebind with the given name

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

### resolve

    public Object resolve(NameComponent[] n)
                   throws NotFound,
                          CannotProceed,
                          InvalidName

  The resolve operation is the process of retrieving an object bound to a name in a given context. The given name must exactly match the bound name. The naming service does not return the type of the object. Clients are responsible for "narrowing" the object to the appropriate type. That is, clients typically cast the returned object from Object to a more specialized interface.

  Parameters:
    `n` - Name of the object

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

### unbind

    public void unbind(NameComponent[] n)
                throws NotFound,
                       CannotProceed,
                       InvalidName

  The unbind operation removes a name binding from a context.

  Parameters:
    `n` - Name of the object

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

### list

    public void list(int how_many,
                     BindingListHolder bl,
                     BindingIteratorHolder bi)

  The list operation allows a client to iterate through a set of bindings in a naming context.

  The list operation returns at most the requested number of bindings in BindingList bl.

  - If the naming context contains additional bindings, the list operation returns a BindingIterator with the additional bindings.
  - If the naming context does not contain additional bindings, the binding iterator is a nil object reference.

  Parameters:
    `how_many` - the maximum number of bindings to return

    `bl` - the returned list of bindings

    `bi` - the returned binding iterator

### new_context

    public NamingContext new_context()

  This operation returns a naming context implemented by the same naming server as the context on which the operation was invoked. The new context is not bound to any name.

### bind_new_context

    public NamingContext bind_new_context(NameComponent[] n)
                                   throws NotFound,
                                          AlreadyBound,
                                          CannotProceed,
                                          InvalidName

  This operation creates a new context and binds it to the name supplied as an argument. The newly-created context is implemented by the same naming server as the context in which it was bound (that is, the naming server that implements the context denoted by the name argument excluding the last component).

  Parameters:
    `n` - Name of the object

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `AlreadyBound` - Indicates an object is already bound to the specified name.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

### destroy

    public void destroy()
                 throws NotEmpty

  The destroy operation deletes a naming context. If the naming context contains bindings, the NotEmpty exception is raised.

  Throws:
    `NotEmpty` - Indicates that the Naming Context contains bindings.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.